<?php
$page=$_GET["page"];//获取当前页数
$max=100;//设置每页显示图片最大张数
$i = 0;
//$handle = opendir("H:\iso\dzzoffice1.2.1_SC_UTF8_env\dzzoffice\htdocs\phppic"); 指定目录
$handle = opendir("./"); //当前目录
    while (false !== ($file = readdir($handle))) { //遍历该php文件所在目录
      list($filesname,$kzm)=explode(".",$file);//获取扩展名
        if($kzm=="gif" or $kzm=="jpg" or $kzm=="JPG" or $kzm=="png" or $kzm=="PNG") { //文件过滤
          if (!is_dir("./".$file)) { //文件夹过滤
            $array[]=$file;//把符合条件的文件名存入数组
            $i++;//记录图片总张数
           }
          }
    }
for ($j=$max*$page;$j<($max*$page+$max)&&$j<$i;++$j){//循环条件控制显示图片张数
    echo "<img width='50' height='50' src=\"$array[$j]\">";//输出图片数组
}
$Previous_page=$page-1;
$next_page=$page+1;
if ($Previous_page<0){
    echo "上页";
    echo "<a href=?page=$next_page>下页</a>";
}
    else if ($page<=$i/$max){
      echo "<a href=?page=$Previous_page>上页</a>";
      echo "<a href=?page=$next_page>下页</a>";}
        else{
          echo " <a href=?page=$Previous_page>上页</a>";
          echo "下页";
        }
?>